Subject: Re: Last Call: Moving RFC 795 (Service Mappings) to Historic

From: John C Klensin <[email-masked]>
Date: Tue, 10 Nov 2015 12:51:51 -0500

So, this document obviously became irrelevant years ago.  So did
a large variety of other early, "Unknown" status RFCs such as
423, 425, 426, 798, 799, probably 803, etc.  Would the IESG care
to explain to the community why this one is worth the trouble
and resources to reclassify and the others are not?   Such an
explanation would be particularly helpful in the light of recent
discussions about reducing AD workload because this sort of
housekeeping work is almost certainly not a way to do that.

   john

--On Tuesday, November 10, 2015 09:36 -0800 The IESG
<[email-masked]> wrote:

> 
> The IESG has received a request from an individual participant
> to make the following status changes:
> 
> - RFC795 from Unknown to Historic
>     (Service mappings)
> 
> The supporting document for this request can be found here:
> 
> https://datatracker.ietf.org/doc/status-change-service-mapping
> s-to-historic/
> 
> The IESG plans to make a decision in the next few weeks, and
> solicits final comments on this action. Please send
> substantive comments to the [email-masked] mailing lists by
> 2015-12-08. Exceptionally, comments may be sent to
> [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
> 
> The affected document can be obtained via
> https://datatracker.ietf.org/doc/rfc795/
> 
> IESG discussion of this request can be tracked via
> https://datatracker.ietf.org/doc/status-change-service-mapping
> s-to-historic/ballot/
> 
>

---

From: Brian Haberman <[email-masked]>
Date: Tue, 10 Nov 2015 13:09:47 -0500

Hi John,
     Since I started the last call on this, I will take a crack at
answering your question.

> housekeeping work is almost certainly not a way to do that.

I had an IETF participant contact me and ask how he could help move 795
to Historic. He provided the material described in the status change
document to support this move.  The amount of work I had to do as an AD
was minimized by someone taking the initiative to compile the material.

If someone wants to see other document status changes, I think this is a
good template.

Regards,
Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 11 Nov 2015 09:54:05 +1300

fwiw, writing as diffserv WG co-chair when RFC 2474 was published, we should probably
have obsoleted RFC 795 then. As a matter of fact, one of the authors of RFC 2474 was
aware of RFC 795 (see draft-blake-diffserv-marking-00.txt), but apparently we
dropped the ball.

Looking at a message on the IAB list from Rob Austein on this topic in June 2000,
I learn that RFC 1122 section 3.2.1.6 already states that RFC 795 is obsolete,
so marking it as Historic should actually have happened in 1989.

wrt John's point, grep UNKNOWN rfc-index.txt | wc reveals that there are 904
RFCs with Status: UNKNOWN. I don't think this approach scales well.

Regards
   Brian

On 11/11/2015 06:36, The IESG wrote:
> 
> The IESG has received a request from an individual participant to make
> the following status changes:
> 
> https://datatracker.ietf.org/doc/status-change-service-mappings-to-historic/
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2015-12-08. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> https://datatracker.ietf.org/doc/status-change-service-mappings-to-historic/ballot/
> 
> 
> .
>